#!/bin/bash

function usage() {
    echo -e "\nDiaoshowscript to be used with QNotify"
    echo "Options:"
    echo -e "\t -c --caption\t Specify a caption which all images will have\n"
}

CAPTION="";

TEMP=`getopt -o c: --long caption: -o h --long help -- "$@"`

eval set -- "$TEMP"

while true ; do
        case "$1" in
                -c|--caption) CAPTION="$2 $CAPTION<br>" ; shift 2 ;;
                --) shift ; break ;;
	        -h|--help) usage ; exit 0;;
                *) echo "Internal Error!" ; exit 1 ;;
        esac
done


for item in $@; do
    echo "<widget --center>$CAPTION<img src=$item</img>" 
done


